
import Vue from 'vue'
import api from '@/api/api.js'
import utils from './utils/utils.js'

import uvUI from '@/uni_modules/uv-ui-tools'
Vue.use(uvUI);

// 当前环境
const type = 'prod'


// 环境配置
const config = {
	dev : {
		baseUrl : 'http://dev.java996.icu/hotel',
	},
	prod : {
		baseUrl : 'https://hotel.java996.icu/hotel',
	}
}

// 默认配置
const defaultConfig = {
// 生产环境地图XHJBZ-JNL3U-LOHVO-G5LSQ-SPQ4S-AWFN4
	mapKey : 'XHJBZ-JNL3U-LOHVO-G5LSQ-SPQ4S-AWFN4',//已改成生产环境
	// aliOss : {
	// 	url : 'https://tennis-oss.xzaiyp.top/',
	// 	config : {
	// 		//桶的地址
	// 		region: 'oss-cn-guangzhou',
	// 		//id
	// 		accessKeyId:'LTAI5tNycA46YTwm383dRvMV',
	// 		//密钥
	// 		accessKeySecret:'tAdbYQCmdur6jbZ8hjvgB7T1Z52mIG',
	// 		//桶的名字
	// 		bucket: 'zhuoqiu-image',
	// 		endpoint:'oss-cn-guangzhou.aliyuncs.com',
	// 	}
	// },
	
	aliOss : {
		url : 'https://buzhoudao.java996.icu/',
		config : {
			//桶的地址
			region: 'oss-rg-china-mainland',
			//id
			accessKeyId:'LTAI5tK9V9BxeSmLLb5gzmuU',
			//密钥
			accessKeySecret:'ADo0WcBfOkeBX6SPAKT5yURvHeBq8T',
			//桶的名字
			bucket: 'buzhoudao',
			endpoint:'oss-rg-china-mainland.aliyuncs.com',
		}
	},
}


uni.$uv.setConfig({
	// 修改$uv.config对象的属性
	config: {
		// 修改默认单位为rpx，相当于执行 uni.$uv.config.unit = 'rpx'
		unit: 'rpx'
	},
})

Vue.prototype.$config = utils.deepMergeObject(defaultConfig, config[type])

Vue.prototype.$api = api

export default Vue.prototype.$config